Name:		sir
Version:	3.2.2
Release:	%mkrel 2
Summary:	A simple application for re-sizing images
License:	GPLv2+
Group:		Graphics/Editors and Converters
URL:		https://marek629.github.io/SIR/
Source:		https://github.com/marek629/SIR/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		sir-3.1-fix-desktop-file.patch
Patch1:		sir-cmake-4.0.patch
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	cmake

Recommends:	dcraw

%description
sir (Simple Image Resizer) is a simple application for re-sizing images,
inspired by GTPY - ImageResizer. It uses C++/QT5 and QImage class to
convert the images.

%prep
%autosetup -p1 -n SIR-%{version}

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

%files
%doc CHANGELOG.md README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/sir/


%changelog
* Tue Jul 01 2025 daviddavid <daviddavid> 3.2.2-2.mga10
+ Revision: 2235586
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Tue Oct 03 2023 daviddavid <daviddavid> 3.2.2-1.mga10
+ Revision: 1993238
- new version: 3.2.2
- rebuild for new exiv2 0.28.0

* Mon Nov 28 2022 daviddavid <daviddavid> 3.2.1-1.mga9
+ Revision: 1912256
- new version: 3.2.1

* Mon Apr 04 2022 umeabot <umeabot> 3.2-8.mga9
+ Revision: 1843337
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 3.2-7.mga8
+ Revision: 1659854
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 3.2-6.mga8
+ Revision: 1526356
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu May 16 2019 daviddavid <daviddavid> 3.2-5.mga7
+ Revision: 1398000
- rebuild for new exiv2 0.27.1

* Tue Apr 02 2019 umeabot <umeabot> 3.2-4.mga7
+ Revision: 1384839
- Qt5 Rebuild

* Sat Dec 29 2018 luigiwalser <luigiwalser> 3.2-3.mga7
+ Revision: 1346064
- rebuild for exiv2

* Sun Sep 23 2018 umeabot <umeabot> 3.2-2.mga7
+ Revision: 1301049
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Fix Source link

* Sun Mar 25 2018 daviddavid <daviddavid> 3.2-1.mga7
+ Revision: 1212330
- new version: 3.2

* Tue Jun 20 2017 neoclust <neoclust> 3.1-2.mga6
+ Revision: 1108002
- Rebuild against new exiv2

* Sun Sep 04 2016 daviddavid <daviddavid> 3.1-1.mga6
+ Revision: 1049987
- new version: 3.1
- port to Qt5
- update URL and Source URL

* Wed Feb 17 2016 umeabot <umeabot> 2.6-5.mga6
+ Revision: 962831
- Mageia 6 Mass Rebuild

* Wed Aug 26 2015 cjw <cjw> 2.6-4.mga6
+ Revision: 869725
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 2.6-3.mga5
+ Revision: 739237
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.6-2.mga5
+ Revision: 689170
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Feb 10 2014 dams <dams> 2.6-1.mga5
+ Revision: 589039
- new version 2.6

* Fri Oct 18 2013 umeabot <umeabot> 2.5.1-2.mga4
+ Revision: 521028
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 malo <malo> 2.5.1-1.mga3
+ Revision: 386972
- new version 2.5.1

* Mon Jan 14 2013 umeabot <umeabot> 2.4-2.mga3
+ Revision: 382088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sun Sep 30 2012 malo <malo> 2.4-1.mga3
+ Revision: 300684
- update to new version 2.4
- Update RPM group

* Fri Jun 29 2012 malo <malo> 2.3.1-1.mga3
+ Revision: 264931
- import of SIR (spec by Jeff Robins)

